[pkg-fso-commits] [fso-frameworkd] 17/20: implement status in init script

Sebastian Reichel sre at moszumanska.debian.org
Sun Nov 8 13:23:11 UTC 2015


This is an automated email from the git hooks/post-receive script.

sre pushed a commit to branch debian
in repository fso-frameworkd.

commit e476c6cba91dab3a3973d58547298845a2910f82
Author: Sebastian Reichel <sre at ring0.de>
Date:   Sun Nov 8 11:23:53 2015 +0100

    implement status in init script
---
 debian/changelog           |  1 +
 debian/fso-frameworkd.init | 12 +++++++++++-
 2 files changed, 12 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index a465e8f..da79509 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -18,6 +18,7 @@ fso-frameworkd (0.10.1-1) UNRELEASED; urgency=low
   * Add a sentence in each package's long description to describe, what
     is contained in the the specific package
   * Use Breaks instead of Conflicts
+  * init script: add LSB Description and status target
 
  -- Rico Rommel <rico at bierrommel.de>  Sun, 13 May 2012 17:26:15 +0200
 
diff --git a/debian/fso-frameworkd.init b/debian/fso-frameworkd.init
index 208ab23..a69bbb3 100644
--- a/debian/fso-frameworkd.init
+++ b/debian/fso-frameworkd.init
@@ -47,7 +47,17 @@ case "$1" in
         [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
         start-stop-daemon --stop --pidfile ${PIDFILE} --oknodo
         [ "$VERBOSE" != no ] && log_end_msg $?
-	;;
+    ;;
+    status)
+        start-stop-daemon --status --pidfile ${PIDFILE}
+    STATUS=$?
+    if [ $STATUS -neq 0 ] ; then
+        [ "$VERBOSE" != no ] && log_daemon_msg "$DESC is not running"
+    else
+        [ "$VERBOSE" != no ] && log_daemon_msg "$DESC is running"
+    fi
+    exit $STATUS
+        ;;
     restart|force-reload)
         $0 stop
         $0 start

-- 
Alioth's hooks/post-receive on /srv/git.debian.org/git/pkg-fso/fso-frameworkd.git



More information about the pkg-fso-commits mailing list